<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <body>
  <table width="100%" border="0">
  <tr>
  <td><img src="Image/LogoWith.jpg" width="179px" height="50px" align="left"/></td>
  <td><img src="Image/LogoWD.jpg" width="250px" height="50px" align="right"/></td>
  </tr>
  </table>
  <h2 style="font-size: 14pt; font-family: Verdana, Arial, Helvetica, sans-serif; text-align: center;">Historique des Evolutions</h2>
  <table border="0" align="center">
    <xsl:for-each select="Suivi/Version">
    <tr>
		<td colspan="2" style="font-size: 10pt; font-family: Verdana, Arial, Helvetica, sans-serif;"><span style="font-size: 12pt; font-weight: bold"><xsl:value-of select="NumVersion"/></span> du <xsl:value-of select="Dat"/></td>
	</tr>
	<tr>
		<td colspan="3" style="height:10px;"></td>
	</tr>
		<xsl:for-each select="Module">
		<tr>
			<td width="40px"></td>
			<td style="font-size: 10pt; font-family: Verdana, Arial, Helvetica, sans-serif; font-weight: bold"><xsl:value-of select="Nom"/></td>
		</tr>
			<xsl:for-each select="Description">
			<tr>
				<td width="40px"></td>
				<td style="font-size: 9pt; font-family: Verdana, Arial, Helvetica, sans-serif;"><u><xsl:value-of select="Titre"/></u></td>
			</tr>
				<xsl:for-each select="Libelle">
				<tr>
					<td width="40px"></td>
					<td style="font-size: 9pt; font-family: Verdana, Arial, Helvetica, sans-serif; font-style: italic; color: grey;">- <xsl:value-of select="Corps"/></td>
				</tr>
				</xsl:for-each>
			</xsl:for-each>
		<tr>
			<td colspan="3" style="height:10px;"></td>
		</tr>
		</xsl:for-each>
	<tr>
		<td colspan="3" style="height:20px;"></td>
	</tr>
	</xsl:for-each>
  </table>
  </body>
  </html>
</xsl:template>

</xsl:stylesheet>