<?php
function test2($addr){
	$a = urlencode($addr);
	return $a;
}

function latlong($addr){
	$a = urlencode($addr);
	$url = "http://maps.google.com/maps/geo?output=xml&q=$a";
	
	$delay = 0;
	$geocode_pending = true;
	while($geocode_pending){
		try
		{
		$xml = simplexml_load_file($url);
		}
		catch(Exception $e)
		{
		// return an empty array for a file request exception
		return array();
		}
		
		$status = $xml->Response->Status->code;
		if (strcmp($status, '200') == 0){
			$geocode_pending = false;
 
			// get coordinates node from xml response
			$coordsNode = explode(',', $xml->Response->Placemark->Point->coordinates);
			$lat = $coordsNode[1];
			$lng = $coordsNode[0];
		} 
		// handle timeout responses and delay re-execution of geocoding
		else if (strcmp($status, 620) == 0)
		{
			$delay += 100000; 
		}
		usleep($delay);
	} 
	return $lat."#".$lng;
  }
  
  function distance_km($lat1, $long1,$lat2, $long2){
	$d2r =(M_PI / 180.0);
    $dlong = ($long2 - $long1) * $d2r;
    $dlat = ($lat2 - $lat1) * $d2r;
    $a = pow(sin($dlat/2.0), 2) + cos($lat1*$d2r) * cos($lat2*$d2r) * pow(sin($dlong/2.0), 2);
    $c = 2 * atan2(sqrt($a), sqrt(1-$a));
    $d = 6367 * $c;
    return $d;
  }
  
  function getDistance($lat1,$long1,$lat2,$long2) {
$url='http://maps.google.com/maps/api/directions/xml?language=fr&origin='.$lat1.",".$long1.'&destination='.$lat2.",".$long2.'&sensor=false';
$xml=file_get_contents($url);
$root = simplexml_load_string($xml);
$distance=$root->route->leg->distance->value;
$duree=$root->route->leg->duration->text;
return $distance."#".$duree;
// return $url;
// return array(
// 'distanceEnMetres'=>$distance,
// 'dureeEnSecondes'=>$duree,
// 'etapes'=>$etapes,
// 'adresseDepart'=>$root->route->leg->start_address,
// 'adresseArrivee'=>$root->route->leg->end_address
// );
}
?>